package com.gxwebsoft.common.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gxwebsoft.common.system.mapper.UserOauthMapper;
import com.gxwebsoft.common.system.service.UserOauthService;
import com.gxwebsoft.common.system.entity.UserOauth;
import com.gxwebsoft.common.system.param.UserOauthParam;
import com.gxwebsoft.common.core.web.PageParam;
import com.gxwebsoft.common.core.web.PageResult;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 第三方用户信息表Service实现
 *
 * @author 科技小王子
 * @since 2023-10-07 22:39:46
 */
@Service
public class UserOauthServiceImpl extends ServiceImpl<UserOauthMapper, UserOauth> implements UserOauthService {

    @Override
    public PageResult<UserOauth> pageRel(UserOauthParam param) {
        PageParam<UserOauth, UserOauthParam> page = new PageParam<>(param);
        page.setDefaultOrder("create_time desc");
        List<UserOauth> list = baseMapper.selectPageRel(page, param);
        return new PageResult<>(list, page.getTotal());
    }

    @Override
    public List<UserOauth> listRel(UserOauthParam param) {
        List<UserOauth> list = baseMapper.selectListRel(param);
        // 排序
        PageParam<UserOauth, UserOauthParam> page = new PageParam<>();
        page.setDefaultOrder("create_time desc");
        return page.sortRecords(list);
    }

    @Override
    public UserOauth getByIdRel(Integer id) {
        UserOauthParam param = new UserOauthParam();
        param.setId(id);
        return param.getOne(baseMapper.selectListRel(param));
    }

}
